
SECTIONS
{
	.start 0x08000000 : {
	_stext = .;
		startup_thumb.o(.text)
	_etext = .;
	}

	.text : {
	_stext = .;
		*(.text)
	_etext = .;
	}

	.rdata : {
	_srdata = .;
		*(.rodata)
	        *(.rodata.str1.4)
	_erdata = .;
	}

	.data 0x20000000: AT (LOADADDR(.rdata)+SIZEOF(.rdata)) {
	_sdata_loadaddr = LOADADDR(.rdata)+SIZEOF(.rdata);
	_sdata = .;
		*(.data)
		*(.zdata)
	_edata = .;
	}
	.bss : {
	_sbss = .;
		*(.bss)
		*(.comment)
	_ebss = .;
	}

	_end = .;
	. = ALIGN(0x4);
	. += 0x200;
	_sp_base = .;
}
